package cn.yw.nhyw.sbcj.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("sbcjDao")
public class SbcjDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	/*
	public void insert_Sbcj(Map map) throws SQLException{
		this.insert("insert_Sbcj",map);
	}
	*/
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Sbcj(List batch) throws SQLException{
		this.insert("batch_insert_Sbcj",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	/*
	public Integer update_Sbcj(Map map) throws SQLException{
		return this.update("update_Sbcj",map);
	}
	*/
	
	/**
	 * 删除记录
	 */
	/*
	public Integer delete_Sbcj(Map map) throws SQLException{
		return this.delete("delete_Sbcj",map);
	}
	*/
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Sbcj(Map map) throws SQLException{
		return this.delete("batch_delete_Sbcj",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	/*
	public Integer count_Sbcj(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Sbcj",map);
	}
	*/
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Sbcj(Map map) throws SQLException{
		return this.queryForPage("query_Sbcj",map);
	}
	
	/**
	 * 查询列表记录
	 */
	/*
	public Map get_Sbcj(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Sbcj",map);
	}
	*/
}
